XDR_RESTRICT_BUFLEN(9)

NAME
xdr_restrict_buflen - decrease available buffer space

SYNOPSIS

int xdr_restrict_buflen(struct xdr_stream * xdr, int newbuflen);

ARGUMENTS

xdr
    pointer to xdr_stream

newbuflen
    new maximum number of bytes available

DESCRIPTION

Adjust our idea of how much space is available in the buffer. If we've already used too much space in the buffer, returns -1. If the available space is already smaller than newbuflen, returns 0 and does nothing. Otherwise, adjusts xdr->buf->buflen to newbuflen and ensures xdr->end is set at most offset newbuflen from the start of the buffer.

COPYRIGHT